<!-- Google Map Settings Start-->
<?php
$store = Mage::app()->getStore();
$code = $store->getCode();
$_enable = Mage::getStoreConfig('porto_settings/contacts/enable', $code);
if ($_enable) {
   $_address = Mage::getStoreConfig('porto_settings/contacts/address', $code);
   $_zoom = Mage::getStoreConfig('porto_settings/contacts/zoom', $code);
   $_center_lats_array = explode('|', Mage::getStoreConfig('porto_settings/contacts/latitude', $code));
   
   if (isset($_center_lats_array[0]))
      $_center_lat1 = $_center_lats_array[0];
   if (isset($_center_lats_array[1]))
      $_center_lat2 = $_center_lats_array[1];

   $_center_lngs_array = explode('|', Mage::getStoreConfig('porto_settings/contacts/longitude', $code));
   
   if (isset($_center_lngs_array[0]))
      $_center_lng1 = $_center_lngs_array[0];
   if (isset($_center_lngs_array[1]))
      $_center_lng2 = $_center_lngs_array[1];
   ?>
   <script type="text/javascript" src="//maps.googleapis.com/maps/api/js?v=3.17"></script>
   <script type="text/javascript">
      function initialize() {
   <?php if ($_center_lat1 != '' && $_center_lng1 != ''): ?>
             var pos = new google.maps.LatLng(<?php echo $_center_lat1; ?>, <?php echo $_center_lng1; ?>);
             var mapOptions = {
                 center: pos,
                 panControl: true,
                 zoomControl: true,
                 mapTypeControl: true,
                 scaleControl: true,
                 streetViewControl: true,
                 overviewMapControl: true,
                 zoom: <?php echo $_zoom; ?>
             };
             var map = new google.maps.Map(document.getElementById("store_map"), mapOptions);
             var marker = new google.maps.Marker({
                 position: pos,
                 map: map,
                 title: '<?php echo $_address; ?>'
             });
   <?php endif; ?>
   <?php if ($_center_lat2 != '' && $_center_lng2 != ''): ?>
             var pos2 = new google.maps.LatLng(<?php echo $_center_lat2; ?>, <?php echo $_center_lng2; ?>);
             var mapOptions2 = {
                 center: pos2,
                 panControl: true,
                 zoomControl: true,
                 mapTypeControl: true,
                 scaleControl: true,
                 streetViewControl: true,
                 overviewMapControl: true,
                 zoom: <?php echo $_zoom; ?>
             };
             var map2 = new google.maps.Map(document.getElementById("store_map2"), mapOptions2);
             var marker = new google.maps.Marker({
                 position: pos2,
                 map: map2,
                 title: '<?php echo $_address; ?>'
             });
   <?php endif; ?>

      }
      google.maps.event.addDomListener(window, 'load', initialize);
   </script>
<?php } ?>
<!-- Google Map Settings End -->
<!--  -->
<div id="tabs">
    <ul>
        <li onclick="mapreloader()"><a href="#tabs-1">Toronto</a></li>
        <li onclick="mapreloader()"><a href="#tabs-2">Montreal</a></li>
    </ul>
    <div id="tabs-1">
        <p>
            <!-- Content of Toronto Start -->
            <!-- Google Map Section Start -->

            <?php
            if (Mage::getStoreConfig("porto_settings/header/type", $code) == "10") {
               ?>
           <div class="page-header">&nbsp;</div>
           <?php
        }
        ?>
        <div id="store_map" style="min-height: 300px; width: 100%;"></div>
        <!-- Google Map Section End -->
        <!-- Below Google Map content Start -->
        <?php
        $store = Mage::app()->getStore();
        $code = $store->getCode();

        $_infoblock = Mage::getStoreConfig('porto_settings/contacts/infoblock', $code);
        $custom_block = Mage::getStoreConfig('porto_settings/contacts/customblock', $code);
        ?>
        <div id="messages_product_view"><?php echo $this->getMessagesBlock()->getGroupedHtml() ?></div>
        <?php if ($custom_block): ?>
           <div class="row">
               <div class="col-sm-12">
                   <?php echo $this->getLayout()->createBlock('cms/block')->setBlockId($custom_block)->toHtml(); ?>
               </div>
           </div>
        <?php endif; ?>
        <div class="row">
            <div class="col-sm-8">
                <form action="<?php echo $this->getFormAction(); ?>" id="contactForm" method="post">
                    <h2 class="legend"><?php echo Mage::helper('contacts')->__('Leave') ?> <?php echo Mage::helper('contacts')->__('a') ?> <b><?php echo Mage::helper('contacts')->__('Message') ?></b></h2>
                    <div class="row">
                        <ul class="form-list col-sm-6">
                            <li>
                                <label for="name" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Name') ?></label>
                                <div class="input-box">
                                    <input name="name" id="name" title="<?php echo Mage::helper('contacts')->__('Name') ?>" value="<?php echo $this->escapeHtml($this->helper('contacts')->getUserName()) ?>" class="input-text required-entry" type="text" />
                                </div>
                            </li>
                            <li>
                                <label for="email" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Email') ?></label>
                                <div class="input-box">
                                    <input name="email" id="email" title="<?php echo Mage::helper('contacts')->__('Email') ?>" value="<?php echo $this->escapeHtml($this->helper('contacts')->getUserEmail()) ?>" class="input-text required-entry validate-email" type="text" />
                                </div>
                            </li>
                            <li>
                                <label for="telephone"><?php echo Mage::helper('contacts')->__('Telephone') ?></label>
                                <div class="input-box">
                                    <input name="telephone" id="telephone" title="<?php echo Mage::helper('contacts')->__('Telephone') ?>" value="" class="input-text" type="text" />
                                </div>
                            </li>
                        </ul>
                        <ul class="form-list col-sm-6">
                            <li>
                                <label for="comment" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Comment') ?></label>
                                <div class="input-box input-textarea">
                                    <textarea name="comment" id="comment" title="<?php echo Mage::helper('contacts')->__('Comment') ?>" class="required-entry input-text" cols="5" rows="3" placeholder="<?php echo Mage::helper('contacts')->__('Comment') ?>"></textarea>
                                </div>
                            </li>
                            <li>
                                <input type="text" name="hideit" id="hideit" value="" style="display:none !important;" />
                                <button type="submit" title="<?php echo Mage::helper('contacts')->__('Submit') ?>" class="button"><span><span><?php echo Mage::helper('contacts')->__('Submit') ?></span></span></button>
                            </li>
                        </ul>
                    </div>
                </form>
            </div>
            <div class="col-sm-4 contact-info">
                <h2 class="legend"><?php echo Mage::helper('contacts')->__('Contact') ?> <b><?php echo Mage::helper('contacts')->__('Details') ?></b></h2>
                
                <?php
                echo $this->getLayout()->createBlock("cms/block")->setBlockId("contact_toronto")->toHtml();
                //echo $_infoblock;
                ?>
            </div>
        </div>
        <!--  Below Google Map Content End -->
        <!-- Content of Toronto End -->
        </p>
    </div>
    <div id="tabs-2">
        <p>
           <!-- Content of Toronto Start -->
            <!-- Google Map Section Start -->
            <?php
            if (Mage::getStoreConfig("porto_settings/header/type", $code) == "10") {
               ?>
           <div class="page-header">&nbsp;</div>
           <?php
        }
        ?>
        <div id="store_map2" style="min-height: 300px; width: 100%;"></div>
        <!-- Google Map Section End -->
        <!-- Below Google Map content Start -->
        <?php
        $store = Mage::app()->getStore();
        $code = $store->getCode();

        $_infoblock = Mage::getStoreConfig('porto_settings/contacts/infoblock', $code);
        $custom_block = Mage::getStoreConfig('porto_settings/contacts/customblock', $code);
        ?>
        <div id="messages_product_view"><?php echo $this->getMessagesBlock()->getGroupedHtml() ?></div>
        <?php if ($custom_block): ?>
           <div class="row">
               <div class="col-sm-12">
                   <?php echo $this->getLayout()->createBlock('cms/block')->setBlockId($custom_block)->toHtml(); ?>
               </div>
           </div>
        <?php endif; ?>
        <div class="row">
            <div class="col-sm-8">
                <form action="<?php echo $this->getFormAction(); ?>" id="contactForm2" method="post">
                    <h2 class="legend"><?php echo Mage::helper('contacts')->__('Leave') ?> <?php echo Mage::helper('contacts')->__('a') ?> <b><?php echo Mage::helper('contacts')->__('Message') ?></b></h2>
                    <div class="row">
                        <ul class="form-list col-sm-6">
                            <li>
                                <label for="name" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Name') ?></label>
                                <div class="input-box">
                                    <input name="name" id="name" title="<?php echo Mage::helper('contacts')->__('Name') ?>" value="<?php echo $this->escapeHtml($this->helper('contacts')->getUserName()) ?>" class="input-text required-entry" type="text" />
                                </div>
                            </li>
                            <li>
                                <label for="email" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Email') ?></label>
                                <div class="input-box">
                                    <input name="email" id="email" title="<?php echo Mage::helper('contacts')->__('Email') ?>" value="<?php echo $this->escapeHtml($this->helper('contacts')->getUserEmail()) ?>" class="input-text required-entry validate-email" type="text" />
                                </div>
                            </li>
                            <li>
                                <label for="telephone"><?php echo Mage::helper('contacts')->__('Telephone') ?></label>
                                <div class="input-box">
                                    <input name="telephone" id="telephone" title="<?php echo Mage::helper('contacts')->__('Telephone') ?>" value="" class="input-text" type="text" />
                                </div>
                            </li>
                        </ul>
                        <ul class="form-list col-sm-6">
                            <li>
                                <label for="comment" class="required"><em>*</em><?php echo Mage::helper('contacts')->__('Comment') ?></label>
                                <div class="input-box input-textarea">
                                    <textarea name="comment" id="comment" title="<?php echo Mage::helper('contacts')->__('Comment') ?>" class="required-entry input-text" cols="5" rows="3" placeholder="<?php echo Mage::helper('contacts')->__('Comment') ?>"></textarea>
                                </div>
                            </li>
                            <li>
                                <input type="text" name="hideit" id="hideit" value="" style="display:none !important;" />
                                <button type="submit" title="<?php echo Mage::helper('contacts')->__('Submit') ?>" class="button"><span><span><?php echo Mage::helper('contacts')->__('Submit') ?></span></span></button>
                            </li>
                        </ul>
                    </div>
                </form>
            </div>
            <div class="col-sm-4 contact-info">
                <h2 class="legend"><?php echo Mage::helper('contacts')->__('Contact') ?> <b><?php echo Mage::helper('contacts')->__('Details') ?></b></h2>
                
                <?php
                echo $this->getLayout()->createBlock("cms/block")->setBlockId("contact_montreal")->toHtml();
                //echo $_infoblock;
                ?>
            </div>
        </div>
        <!--  Below Google Map Content End -->
        <!-- Content of Toronto End -->
        </p>
        </p>
    </div>
</div>
<!-- -->

<!-- -->

<script type="text/javascript">
                   //<![CDATA[
                   //var contactForm = new VarienForm('contactForm', true);
                   //]]>
                    //<![CDATA[
                   //var contactForm = new VarienForm('contactForm2', true);
                   //]]>
</script>

<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<script src="//code.jquery.com/jquery-1.10.2.js"></script>
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>


<script>
   
   function mapreloader(){
      initialize();
   }
   $(function () {
       $("#tabs").tabs();
   });
</script>
<!-- -->



